package tech.riemann.ims.dto.request;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.nutz.json.Json;
import tech.riemann.ims.entity.material.ApplyForm;

import java.util.List;

/**
 * @author mayong
 * @since 2024/12/7 12:23
 */

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class AuditApplyInfo extends ApplyForm {

    @Schema(description = "物料ids")
    private List<String> ids;

    @Schema(description = "物料类型")
    private List<String> types;


    public ApplyForm to(){
        return Json.fromJson(ApplyForm.class, Json.toJson(this));
    }


}
