package tech.riemann.ims.entity.material;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import lombok.experimental.FieldNameConstants;
import lombok.experimental.SuperBuilder;
import org.nutz.dao.entity.annotation.*;
import tech.riemann.ims.entity.IdBaseEntity;

import java.io.Serial;

/**
 * @author mayong
 * @since 2025/3/9 18:53
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("t_manual_stock_detail")
@Table("t_manual_stock_detail")
@Comment("物料")
@Schema(name = "ManualStockDetail", description = "人工手动核实物料库存明细")
public class ManualStockDetail extends IdBaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "申请id", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    @TableField("m_apply_id")
    @Column("m_apply_id")
    @Comment("申请id")
    @ColDefine(notNull = false, width = 19, precision = 0)
    private Long applyId;

    @Schema(description = "物料id", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    @TableField("m_material_id")
    @Column("m_material_id")
    @Comment("物料id")
    @ColDefine(notNull = false, width = 19, precision = 0)
    private Long materialId;

    @Schema(description = "库存数量", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    @TableField("m_stock")
    @Column("m_stock")
    @Comment("库存数量")
    @ColDefine(notNull = false, type = ColType.INT)
    private Integer stock;

    @Schema(description = "手动核实库存数量", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    @TableField("m_manual_stock")
    @Column("m_manual_stock")
    @Comment("手动核实库存数量")
    @ColDefine(notNull = false, type = ColType.INT)
    private Integer manualStock;

    @Schema(description = "异常原因", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    @TableField("m_msg")
    @Column("m_msg")
    @Comment("异常原因")
    @ColDefine(notNull = false)
    private String msg;
}
