package tech.riemann.ims.service.acl;

import java.util.List;

import org.nutz.spring.boot.service.interfaces.IdNameEntityService;

import com.baomidou.mybatisplus.extension.service.IService;

import tech.riemann.ims.dto.response.PermissionInfo;
import tech.riemann.ims.entity.acl.Permission;
import tech.riemann.ims.entity.acl.Role;

/**
 * <p>
 * 角色 服务类
 * </p>
 *
 * @author Kerbores(kerbores@gmail.com)
 *
 * @since 2024-09-10 18:07:15
 */
public interface IRoleService extends IService<Role>, IdNameEntityService<Role> {

    /**
     * @param key
     * @return
     */
    List<Permission> permissionsByRoleKey(String key);

    /**
     * @param key
     * @return
     */
    List<PermissionInfo> permissionInfosByKey(String key);

    /**
     * @param key
     * @param permissions
     * @return
     */
    boolean grant(String key, List<String> permissions);

}
