package tech.riemann.ims.service.acl;

import java.util.List;

import org.nutz.spring.boot.service.interfaces.IdNameEntityService;

import com.baomidou.mybatisplus.extension.service.IService;

import club.zhcs.lina.auth.service.AuthUser;
import tech.riemann.ims.controller.platform.auth.AuthController.LoginDTO;
import tech.riemann.ims.dto.response.PermissionInfo;
import tech.riemann.ims.dto.response.RoleInfo;
import tech.riemann.ims.entity.acl.Permission;
import tech.riemann.ims.entity.acl.User;

/**
 * <p>
 * 用户 服务类
 * </p>
 *
 * @author Kerbores(kerbores@gmail.com)
 *
 * @since 2024-09-10 18:07:15
 */
public interface IUserService extends IService<User>, IdNameEntityService<User> {

    /**
     * 重置密码
     * 
     * @param name
     *            用户名
     * @return 新密码
     */
    String resetPassword(String name);

    /**
     * @param name
     * @return
     */
    List<Permission> permissionsByUserName(String name);

    /**
     * @param name
     * @return
     */
    List<PermissionInfo> permissionInfosByUserName(String name);

    /**
     * @param name
     * @param permissions
     * @return
     */
    boolean grant(String name, List<String> permissions);

    /**
     * @param name
     * @return
     */
    List<RoleInfo> roleInfosByUserName(String name);

    /**
     * @param name
     * @param roles
     * @return
     */
    boolean grantRole(String name, List<String> roles);

    /**
     * @param login
     * @return
     */
    AuthUser login(LoginDTO login);

    /**
     * @param key
     * @return
     */
    AuthUser authUser(String name);

}
