package tech.riemann.ims.service.material.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.RequiredArgsConstructor;
import org.apache.commons.lang3.StringUtils;
import org.nutz.dao.Dao;
import org.springframework.stereotype.Service;
import tech.riemann.ims.entity.material.Type;
import tech.riemann.ims.mapper.material.TypeMapper;
import tech.riemann.ims.service.material.ITypeService;

import java.util.HashMap;
import java.util.Map;

/**
 * @author mayong
 * @since 2024/11/27 15:41
 */
@Service
@RequiredArgsConstructor
public class TypeServiceImpl extends ServiceImpl<TypeMapper, Type> implements ITypeService {
    private final Dao dao;
    Map<String, String> names = new HashMap<>();
    @Override
    public Dao dao() {
        return dao;
    }

    @Override
    public String getTypeName(String no) {
        String name = names.get(no);
        if(StringUtils.isEmpty(name)){

            Type type = this.baseMapper.selectOne(Wrappers.<Type>lambdaQuery().eq(Type::getNo, no));
            if(type != null){
                names.put(no, type.getName());
                return type.getName();
            }else{
                return "";
            }
        }
        return name;
    }
}
